SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000138SiT!incidentspublic2008-07-30 14:572009-02-27 16:27
Reporterivan 
Assigned Tokieran 
PrioritylowSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.45Fixed in Version3.45 
Summary0000138: Emoticons
DescriptionCraig has asked if we can get SiT to replace text smilies with little graphics. :-) :) :> 8-)

I guess it's an easy extension to the bbcode support.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000069)
paulh (administrator)
2008-08-16 18:43

I did try and do this when we added bbcode though at the time couldn't find any GPL'ed icons which covered the basic set of emoticons so didn't continue with this.

Had another look and GPL'ed emoticons still seem hard to find unless we borrow them form another application (phpBB, pidgin)
User avatar (0000199)
kieran (administrator)
2008-11-21 22:07

I reckon we can do this for 3.41, oxygen has a emoticon set we can use, just a simple regex needed.
User avatar (0000200)
kieran (administrator)
2008-11-21 23:15

Added simple support, it should probably be a profile option whether to display them or not though.
User avatar (0000382)
paulh (administrator)
2008-12-24 13:35

trunk r4550 adds the preference for emoticons

- Issue History
Date Modified Username Field Change
2008-07-30 14:57 ivan New Issue
2008-08-16 18:43 paulh Note Added: 0000069
2008-11-21 22:07 kieran Note Added: 0000199
2008-11-21 22:07 kieran Assigned To => kieran
2008-11-21 22:07 kieran Status new => assigned
2008-11-21 22:07 kieran ETA none => < 1 day
2008-11-21 22:07 kieran Target Version => 3.41
2008-11-21 23:15 kieran Note Added: 0000200
2008-11-29 23:32 kieran Target Version 3.41 => 3.45
2008-12-24 13:35 paulh Note Added: 0000382
2008-12-24 13:35 paulh Status assigned => resolved
2008-12-24 13:35 paulh Resolution open => fixed
2008-12-24 13:35 paulh Fixed in Version => 3.45
2009-02-27 16:27 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker